gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.InitiallyUnowned Gtk.ICellLayout A visible column in a widget.
- Constructor
  Creates a new object.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  a
  a
  a
  Creates a new
- Constructor
  System.ParamArray
  a
  a
  a
  Creates a new
- Method
  System.Void `` `` `` an object of type an object of type an object of type Adds an mapping to the list in . The is the column of the model to get a value from, and the is the parameter on to be set from the value. So for example if column 2 of the model contains strings, you could have the "text" attribute of a get its values from column 2.
- Property
  GLib.Property("alignment")
  System.Single X Alignment of the column header text or widget. an object of type
- Property
  Gtk.CellArea To be added. To be added. To be added.
- Property
  Gtk.Widget To be added. To be added. To be added.
- Property
  GLib.Property("cell-area")
  Gtk.CellArea To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` a To be added. a Obtains the horizontal position and size of a cell in a column. a If the cell is not found in the column, and are not changed and is returned.
- Method
  System.Void `` `` `` `` `` a a a a a Obtains the width and height needed to render the column. This is used primarily by the .
- Method
  System.Boolean Whether to display the column. an object of type
- Property
  Gtk.CellRenderer[] Cells property. An array of cell renderers packed in the column.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void Unsets all the mappings on all renderers on the .
- Method
  System.Void `` an object of type Clears all existing attributes.
- Method
  System.Void Emit the clicked event on the column.
- Property
  GLib.Property("clickable")
  System.Boolean Whether the header can be clicked. an object of type
- Event
  GLib.Signal("clicked")
  System.EventHandler Emitted when the column is clicked.
- Property
  GLib.Property("expand")
  System.Boolean Whether this column gets share of extra width allocated to the widget. a
- Property
  GLib.Property("fixed-width")
  System.Int32 Current fixed width of the column. an object of type
- Method
  System.Void `` a Sets the current keyboard focus to be at , if the column contains 2 or more editable and activatable cells.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("max-width")
  System.Int32 Maximum allowed width of the column. an object of type
- Property
  GLib.Property("min-width")
  System.Int32 Minimum allowed width of the column. an object of type
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClicked", Type=typeof(Gtk.TreeViewColumn))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` an object of type an object of type Adds the to end of the column. If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  System.Void `` `` an object of type an object of type Packs the cell into the beginning of the column. If expand is , then the cell is allocated no more space than it needs. Any unused space is divided evenly between cells for which expand is .
- Method
  System.Void Flags the column and its cell renderers for size renegotiation.
- Method
  System.Void `` `` a a Re-inserts at . The given cell must already be packed into the layout for this method to work properly.
- Property
  GLib.Property("reorderable")
  System.Boolean Whether the column can be reordered by the end user dragging the header. an object of type
- Property
  GLib.Property("resizable")
  System.Boolean Whether column is user-resizable. an object of type
- Method
  System.Void `` `System.ParamArray` a a Sets the attribute to model column bindings for a renderer. The array should consist of pairs of attribute name and column index.
- Method
  System.Void `` `` a a Sets the to use for a renderer. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Method
  System.Void `` `` a a Set the data func used to set cell renderer attributes.
- Method
  System.Void `` `` a a Sets the to use for a renderer. This function is used instead of the standard attributes mapping for setting the column value, and should set the value of the as appropriate. may be to remove an older one.
- Property
  GLib.Property("sizing")
  Gtk.TreeViewColumnSizing Resize mode of the column. an object of type
- Property
  GLib.Property("sort-column-id")
  System.Int32 The column that the model sorts on when this column is selected for sorting. an object of type
- Property
  GLib.Property("sort-indicator")
  System.Boolean Whether to show a sort indicator. an object of type
- Property
  GLib.Property("sort-order")
  Gtk.SortType Sort direction the sort indicator should indicate. an object of type
- Property
  GLib.Property("spacing")
  System.Int32 The number of pixels to place between s packed into the column. an object of type
- Property
  GLib.Property("title")
  System.String Title to appear in column header. an object of type
- Property
  Gtk.Widget Tree View property. The tree view owning the column.
- Property
  GLib.Property("visible")
  System.Boolean The visibility of the . an object of type
- Property
  GLib.Property("widget")
  Gtk.Widget Widget to put in column header button instead of column title. an object of type
- Property
  GLib.Property("width")
  System.Int32 Current width of the column. an object of type